---
  # "Make sure that the software on this Ubuntu system is up to date."
  
  - name: "Make sure that the software is up to date."
    apt:
       upgrade: dist
       update_cache: yes
       
  - name: "Remove dependencies that are no longer required."
    shell: apt-get -q -y autoremove
  # in ansible 2.1, we can do it using the apt module  
  #  apt:
  #     autoremove: yes
       
  - name: "Remove useless packages from the cache."
    shell: apt-get -q -y autoclean
  # in ansible 2.4, we can do it using the apt module
  #  apt:
  #     autoclean: yes